LCM-LOGPLAYER-GUI(1)

NAME
lcm-logplayer-gui - an interactive log playback tool

SYNOPSIS

lcm-logplayer-gui [options] [FILE]

DESCRIPTION
usage: lcm-logplayer-gui [options] [log-name]

lcm-logplayer-gui is the Lightweight Communications and Marshalling log playback tool. It provides a graphical user interface for playing logfiles recorded with lcm-logger. Features include random access, different playback speeds, channel suppression and remapping, and more.

OPTIONS

-l, --lcm-url=URL
    Use the specified LCM URL

-p, --paused
    Start with the log paused.

-f, --filter=CHAN
    Disable channels that match the regex in CHAN. (default: "")

-v, --invert-filter
    Invert the filtering regex. Only enable channels matching CHAN.

-t, --title [LABEL]
    Display LABEL in the window title. Defaults to the log filename.

--title-url
    Display the LCM URL in the window title.

-h, --help
    Shows this help text and exits

CAVEATS
IPv6 is disabled.

COPYRIGHT
lcm-logplayer-gui is part of the Lightweight Communications and Marshalling (LCM) project. Permission is granted to copy, distribute and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version. See the file COPYING in the LCM distribution for more details regarding distribution. LCM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with LCM; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 usage

SEE ALSO
lcm-logger(1) lcm-logplayer(1)